package com.xy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xy.dto.DeviceSimDto;
import com.xy.entity.DeviceSim;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 设备流量卡 Mapper 接口
 * </p>
 *
 * @author lijin
 * @since 2023-10-16
 */
public interface DeviceSimMapper extends BaseMapper<DeviceSim> {

    /**
     * 分页查询
     *
     * @param page
     * @param queryPage
     * @return
     */
    IPage<DeviceSimDto.PageVo> page(IPage page, @Param("queryPage") DeviceSimDto.Page queryPage);

    /**
     * 管流量卡过期
     *
     * @param page
     * @param begin
     * @param end
     * @return
     */
    IPage<Long> deviceSimTimeout(IPage page, @Param("begin") String begin, @Param("end") String end);
}
